package com.qmth.themis.business.enums;

import com.qmth.themis.business.entity.*;

/**
 * @Description: 日志枚举
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/9/22
 */
public enum LogEnum {

    JOB("定时任务", "job"),

    ORG("机构", TBOrg.class),

    STUDENT("学生", TEStudent.class),

    EXAM("考试批次", TEExam.class),

    EXAM_ACTIVITY("考试场次", TEExamActivity.class),

    EXAM_PAPER("考试试卷", TEExamPaper.class),

    EXAM_COURSE("考试科目", TEExamCourse.class);

    private String title;

    private Object object;

    private LogEnum(String title, Object object) {
        this.title = title;
        this.object = object;
    }

    public String getTitle() {
        return title;
    }

    public Object getObject() {
        return object;
    }
}
